### DB_ENV->set_rep_limit |

`

###

    #include <db.h>

    int
    DB_ENV->set_rep_limit(DB_ENV *env, u_int32_t gbytes, u_int32_t bytes);

    int
    DB_ENV->get_rep_limit(DB_ENV *dbenv, u_int32_t *gbytesp, u_int32_t *bytesp);

### Description: DB_ENV->set_rep_limit

The DB_ENV->set_rep_limit method sets a byte-count limit on the amount of data that will be transmitted from a site in response to a single message processed by the DB_ENV->rep_process_message method. The limit is not a hard limit, and the record that exceeds the limit is the last record to be sent.

The DB_ENV->set_rep_limit method configures a database environment, not only operations performed using the specified DB_ENV handle.

The DB_ENV->set_rep_limit method may not be called before the DB_ENV->open method has been called.

The DB_ENV->set_rep_limit method returns a non-zero error value on failure and 0 on success.

### Parameters

bytes
  The gbytes and bytes parameters specify the maximum number of bytes that will be sent in a single call to DB_ENV->rep_process_message method.
gbytes
  The gbytes and bytes parameters specify the maximum number of bytes that will be sent in a single call to DB_ENV->rep_process_message method.

### Description: dbenv_get_rep_limit

The DB_ENV->get_rep_limit method may be called at any time during the life of the application.

The DB_ENV->get_rep_limit method returns a non-zero error value on failure and 0 on success.

### Parameters

bytesp
  The bytesp parameter references memory into which the additional bytes of memory in the current transmit limit is copied.
gbytesp
  The gbytesp parameter references memory into which the gigabytes of memory in the in the current transmit limit is copied.

### Class

DB_ENV

### See Also

Replication and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.